Classes:
Doctrine
Doctrine_Access
Doctrine_Adapter
Doctrine_Adapter_Db2_Exception
Doctrine_Adapter_Exception
Doctrine_Adapter_Statement
Doctrine_AuditLog
Doctrine_AuditLog_Listener
Doctrine_Collection
Doctrine_Collection_Exception
Doctrine_Collection_Iterator
Doctrine_Collection_Iterator_Expandable
Doctrine_Collection_Iterator_Normal
Doctrine_Collection_Iterator_Offset
Doctrine_Collection_Offset
Doctrine_Column
Doctrine_Compiler
Doctrine_Compiler_Exception
Doctrine_Configurable
Doctrine_Connection
Doctrine_Connection_Common
Doctrine_Connection_Db2
Doctrine_Connection_Exception
Doctrine_Connection_Firebird
Doctrine_Connection_Firebird_Exception
Doctrine_Connection_Informix
Doctrine_Connection_Informix_Exception
Doctrine_Connection_Mock
Doctrine_Connection_Module
Doctrine_Connection_Mssql
Doctrine_Connection_Mssql_Exception
Doctrine_Connection_Mysql
Doctrine_Connection_Mysql_Exception
Doctrine_Connection_Oracle
Doctrine_Connection_Oracle_Exception
Doctrine_Connection_Pgsql
Doctrine_Connection_Pgsql_Exception
Doctrine_Connection_Profiler
Doctrine_Connection_Profiler_Exception
Doctrine_Connection_Sqlite
Doctrine_Connection_Sqlite_Exception
Doctrine_Connection_Statement
Doctrine_Connection_UnitOfWork
Doctrine_DataDict
Doctrine_DataDict_Exception
Doctrine_DataDict_Informix
Doctrine_DataType
Doctrine_Db
Doctrine_Event
Doctrine_EventListener
Doctrine_EventListener_Chain
Doctrine_EventListener_Exception
Doctrine_Exception
Doctrine_Export
Doctrine_Export_Exception
Doctrine_Export_Firebird
Doctrine_Export_Frontbase
Doctrine_Export_Mssql
Doctrine_Export_Mysql
Doctrine_Export_Oracle
Doctrine_Export_Pgsql
Doctrine_Export_Reporter
Doctrine_Export_Schema
Doctrine_Export_Schema_Xml
Doctrine_Export_Schema_Yml
Doctrine_Export_Sqlite
Doctrine_Expression
Doctrine_Expression_Driver
Doctrine_Expression_Exception
Doctrine_Expression_Firebird
Doctrine_Expression_Informix
Doctrine_Expression_Mock
Doctrine_Expression_Mssql
Doctrine_Expression_Mysql
Doctrine_Expression_Oracle
Doctrine_Expression_Pgsql
Doctrine_Expression_Sqlite
Doctrine_File
Doctrine_File_Index
Doctrine_Formatter
Doctrine_Hook
Doctrine_Hook_Equal
Doctrine_Hook_Integer
Doctrine_Hook_Parser
Doctrine_Hook_Parser_Complex
Doctrine_Hook_WordLike
Doctrine_Hydrate
Doctrine_Hydrate_Array
Doctrine_Hydrate_Exception
Doctrine_Hydrate_Record
Doctrine_Import
Doctrine_Import_Builder
Doctrine_Import_Builder_BaseClass
Doctrine_Import_Builder_Exception
Doctrine_Import_Exception
Doctrine_Import_Firebird
Doctrine_Import_Informix
Doctrine_Import_Mssql
Doctrine_Import_Mysql
Doctrine_Import_Oracle
Doctrine_Import_Pgsql
Doctrine_Import_Reader
Doctrine_Import_Reader_Db
Doctrine_Import_Reader_Exception
Doctrine_Import_Reader_Xml_Propel
Doctrine_Import_Schema
Doctrine_Import_Schema_Xml
Doctrine_Import_Schema_Yml
Doctrine_Import_Sqlite
Doctrine_IntegrityMapper
Doctrine_Lib
Doctrine_Locking_Exception
Doctrine_Locking_Manager_Pessimistic
Doctrine_Manager
Doctrine_Manager_Exception
Doctrine_Node
Doctrine_Node_AdjacencyList
Doctrine_Node_AdjacencyList_LevelOrderIterator
Doctrine_Node_AdjacencyList_PostOrderIterator
Doctrine_Node_AdjacencyList_PreOrderIterator
Doctrine_Node_Exception
Doctrine_Node_MaterializedPath
Doctrine_Node_MaterializedPath_LevelOrderIterator
Doctrine_Node_MaterializedPath_PostOrderIterator
Doctrine_Node_MaterializedPath_PreOrderIterator
Doctrine_Node_NestedSet
Doctrine_Node_NestedSet_LevelOrderIterator
Doctrine_Node_NestedSet_PostOrderIterator
Doctrine_Node_NestedSet_PreOrderIterator
Doctrine_Null
Doctrine_Object
Doctrine_Plugin
Doctrine_Query
Doctrine_Query_Abstract
Doctrine_Query_Check
Doctrine_Query_Condition
Doctrine_Query_Exception
Doctrine_Query_Filter
Doctrine_Query_Filter_Chain
Doctrine_Query_From
Doctrine_Query_Groupby
Doctrine_Query_Having
Doctrine_Query_JoinCondition
Doctrine_Query_Limit
Doctrine_Query_Offset
Doctrine_Query_Orderby
Doctrine_Query_Parser
Doctrine_Query_Part
Doctrine_Query_Select
Doctrine_Query_Set
Doctrine_Query_Where
Doctrine_RawSql
Doctrine_RawSql_Exception
Doctrine_Record
Doctrine_Record_Abstract
Doctrine_Record_Exception
Doctrine_Record_Filter
Doctrine_Record_Iterator
Doctrine_Record_Listener
Doctrine_Record_Listener_Chain
Doctrine_Record_State_Exception
Doctrine_Relation
Doctrine_Relation_Association
Doctrine_Relation_Association_Self
Doctrine_Relation_Exception
Doctrine_Relation_ForeignKey
Doctrine_Relation_LocalKey
Doctrine_Relation_Nest
Doctrine_Relation_Parser
Doctrine_Relation_Parser_Exception
Doctrine_Schema
Doctrine_Schema_Column
Doctrine_Schema_Database
Doctrine_Schema_Exception
Doctrine_Schema_Object
Doctrine_Schema_Relation
Doctrine_Schema_Table
Doctrine_Search
Doctrine_Search_Analyzer
Doctrine_Search_Analyzer_Exception
Doctrine_Search_Analyzer_Standard
Doctrine_Search_Exception
Doctrine_Search_Indexer
Doctrine_Search_Indexer_Dir
Doctrine_Search_Indexer_Exception
Doctrine_Search_Listener
Doctrine_Search_Parser
Doctrine_Search_Query
Doctrine_Search_Record
Doctrine_Search_Scorer
Doctrine_Search_Template
Doctrine_Sequence
Doctrine_Sequence_Db2
Doctrine_Sequence_Exception
Doctrine_Sequence_Firebird
Doctrine_Sequence_Informix
Doctrine_Sequence_Mssql
Doctrine_Sequence_Mysql
Doctrine_Sequence_Oracle
Doctrine_Sequence_Pgsql
Doctrine_Sequence_Sqlite
Doctrine_Table
Doctrine_Table_Exception
Doctrine_Table_Repository
Doctrine_Table_Repository_Exception
Doctrine_Template
Doctrine_Template_NestedSet
Doctrine_Template_Searchable
Doctrine_Template_Taggable
Doctrine_Template_Versionable
Doctrine_Tokenizer
Doctrine_Transaction
Doctrine_Transaction_Exception
Doctrine_Transaction_Firebird
Doctrine_Transaction_Informix
Doctrine_Transaction_Mock
Doctrine_Transaction_Mssql
Doctrine_Transaction_Mysql
Doctrine_Transaction_Oracle
Doctrine_Transaction_Pgsql
Doctrine_Transaction_Sqlite
Doctrine_Tree
Doctrine_Tree_AdjacencyList
Doctrine_Tree_Exception
Doctrine_Tree_MaterializedPath
Doctrine_Tree_NestedSet
Doctrine_Util
Doctrine_Validator
Doctrine_Validator_Country
Doctrine_Validator_Creditcard
Doctrine_Validator_Date
Doctrine_Validator_Email
Doctrine_Validator_Enum
Doctrine_Validator_ErrorStack
Doctrine_Validator_Exception
Doctrine_Validator_HtmlColor
Doctrine_Validator_Ip
Doctrine_Validator_Minlength
Doctrine_Validator_Nospace
Doctrine_Validator_Notblank
Doctrine_Validator_Notnull
Doctrine_Validator_Range
Doctrine_Validator_Regexp
Doctrine_Validator_Unique
Doctrine_Validator_Unsigned
Doctrine_Validator_Usstate
Doctrine_View
Doctrine_View_Exception
Doctrine_Cache
Doctrine_Cache
Doctrine_Cache_Apc
Doctrine_Cache_Array
Doctrine_Cache_Db
Doctrine_Cache_Driver
Doctrine_Cache_Exception
Doctrine_Cache_Memcache
Doctrine_Adapter
Doctrine_Adapter_Db2
Doctrine_Adapter_Mock
Doctrine_Adapter_Mysqli
Doctrine_Adapter_Oracle
Doctrine_Adapter_Statement_Mock
Doctrine_DataDict
Doctrine_DataDict_Firebird
Doctrine_DataDict_Mssql
Doctrine_DataDict_Mysql
Doctrine_DataDict_Oracle
Doctrine_DataDict_Pgsql
Doctrine_DataDict_Sqlite

# Class: Doctrine_Expression_Driver

Source Location: /Doctrine/Expression/Driver.php

## Class Doctrine_Expression_Driver

Class Overview

Doctrine_Expression_Driver Located in /Doctrine/Expression/Driver.php [line 33]
    Doctrine_Connection_Module
       |
       --Doctrine_Expression_Driver
Author(s): Konsta Vesterinen <kvesteri@cc.hut.fi> Information Tags:
Version: | $Revision$
Link: | www.phpdoctrine.com
Since: | 1.0
License: | LGPL
| Methods acos add avg basicMath between concat count div eq getIdentifier getIdentifiers gt gte guid in isNotNull isNull length locate lower lt lte ltrim max md5 min mod mul neq not now regexp round rtrim soundex sub substring sum trim upper __call

[ Top ]
Direct descendents

Child Class | Description
--- | ---
Doctrine_Expression_Firebird | Doctrine_Expression_Firebird
Doctrine_Expression_Mock | Doctrine_Expression_Mock Mock driver that is used for testing purposes
Doctrine_Expression_Mssql | Doctrine_Expression_Mssql
Doctrine_Expression_Mysql | Doctrine_Expression_Mysql
Doctrine_Expression_Oracle | Doctrine_Expression_Sqlite
Doctrine_Expression_Pgsql | Doctrine_Expression_Pgsql
Doctrine_Expression_Sqlite | Doctrine_Expression_Sqlite

[ Top ]
Inherited Properties, Constants, and Methods

Inherited Properties | Inherited Methods | Inherited Constants
--- | --- | ---
Inherited From Doctrine_Connection_Module Doctrine_Connection_Module::$conn Doctrine_Connection_Module::$moduleName | Inherited From Doctrine_Connection_Module Doctrine_Connection_Module::__construct() Doctrine_Connection_Module::getConnection() getConnection returns the connection object this module uses Doctrine_Connection_Module::getModuleName() getModuleName returns the name of this module |

[ Top ]
Method Summary

string | acos() | returns arcus cosine SQL string
string | add() | Returns the SQL to add values or expressions together.
string | avg() | Returns the average value of a column
string | basicMath() | Returns the SQL to perform the same mathematical operation over an array of values or expressions.
string | between() | Returns SQL that checks if an expression evaluates to a value between two values.
void | concat() | Returns a series of strings concatinated
string | count() | Returns the number of rows (without a NULL value) of a column
string | div() | Returns the SQL to divide values or expressions by eachother.
string | eq() | Returns the SQL to check if two values are equal.
void | getIdentifier() |
void | getIdentifiers() |
string | gt() | Returns the SQL to check if one value is greater than another value.
string | gte() | Returns the SQL to check if one value is greater than or equal to another value.
string | guid() | Returns global unique identifier
string | in() | Returns the SQL to check if a value is one in a set of given values..
string | isNotNull() | Returns SQL that checks if a expression is not null.
string | isNull() | Returns SQL that checks if a expression is null.
string | length() | Returns the length of a text field.
integer | locate() | locate returns the position of the first occurrence of substring $substr in string $str
string | lower() | lower Returns the string $str with all characters changed to lowercase according to the current character set mapping.
string | lt() | Returns the SQL to check if one value is less than another value.
string | lte() | Returns the SQL to check if one value is less than or equal to another value.
string | ltrim() | ltrim returns the string $str with leading space characters removed
string | max() | Returns the highest value of a column
string | md5() | Returns the md5 sum of a field.
string | min() | Returns the lowest value of a column
string | mod() | Returns the remainder of the division operation $expression1 / $expression2.
string | mul() | Returns the SQL to multiply values or expressions by eachother.
string | neq() | Returns the SQL to check if two values are unequal.
string | not() | Returns the SQL for a logical not.
string | now() | Returns the current system date.
string | regexp() | regexp returns the regular expression operator
string | round() | Rounds a numeric field to the number of decimals specified.
string | rtrim() | rtrim returns the string $str with proceeding space characters removed
string | soundex() | soundex Returns a string to call a function to compute the soundex encoding of a string
string | sub() | Returns the SQL to subtract values or expressions from eachother.
string | substring() | return string to call a function to get a substring inside an SQL statement
string | sum() | Returns the total sum of a column
string | trim() | trim returns the string $str with leading and proceeding space characters removed
string | upper() | upper Returns the string $str with all characters changed to uppercase according to the current character set mapping.
void | __call() | __call

[ Top ]
Properties
Methods
acos [line 695]

`string acos( $value )`

returns arcus cosine SQL string

Parameters:

| $value: |

API Tags:

Access: | public

[ Top ]
add [line 365]

`string add( $args )`

Returns the SQL to add values or expressions together.

add() accepts an arbitrary number of parameters. Each parameter must contain a value or an expression or an array with values or expressions.

Example:

1. $q = new Doctrine_Query();
2. $e = $q->expr;
4. $q->select('u.*')
5. ->from('User u')
6. ->where($e->eq($e->add('id', 2), 12));

Parameters:

string|array(string) | $args: |

API Tags:

Return: | an expression
Access: | public

[ Top ]
avg [line 59]

`string avg( string $column )`

Returns the average value of a column

Parameters:

string | $column: | the column to use

API Tags:

Return: | generated sql including an AVG aggregate function
Access: | public

[ Top ]
basicMath [line 333]

`string basicMath( string $type, $args )`

Returns the SQL to perform the same mathematical operation over an array of values or expressions.

basicMath() accepts an arbitrary number of parameters. Each parameter must contain a value or an expression or an array with values or expressions.

Parameters:

string | $type: | the type of operation, can be '+', '-', '*' or '/'.
string|array(string) | $args: |

API Tags:

Return: | an expression
Access: | private

[ Top ]
between [line 674]

`string between( string $expression, string $value1, string $value2 )`

Returns SQL that checks if an expression evaluates to a value between two values.

The parameter $expression is checked if it is between $value1 and $value2.

Note: There is a slight difference in the way BETWEEN works on some databases. http://www.w3schools.com/sql/sql_between.asp. If you want complete database independence you should avoid using between().

Example:

1. $q = new Doctrine_Query();
2. $q->select('u.*')
3. ->from('User u')
4. ->where($q->expr->between('id', 1, 5));

Parameters:

string | $expression: | the value to compare to
string | $value1: | the lower value to compare with
string | $value2: | the higher value to compare with

API Tags:

Return: | logical expression
Access: | public

[ Top ]
concat [line 297]

`void concat( string|array(string) 0 )`

Returns a series of strings concatinated

concat() accepts an arbitrary number of parameters. Each parameter must contain an expression or an array with expressions.

Parameters:

string|array(string) | 0: | strings that will be concatinated.

API Tags:

Access: | public

Redefined in descendants as:

- Doctrine_Expression_Mssql::concat() : Returns string to concatenate two or more string parameters
- Doctrine_Expression_Oracle::concat() : Returns a series of strings concatinated
- Doctrine_Expression_Pgsql::concat()

[ Top ]
count [line 74]

`string count( string|integer $column )`

Returns the number of rows (without a NULL value) of a column

If a '*' is used instead of a column the number of selected rows is returned.

Parameters:

string|integer | $column: | the column to use

API Tags:

Return: | generated sql including a COUNT aggregate function
Access: | public

[ Top ]
div [line 440]

`string div( $args )`

Returns the SQL to divide values or expressions by eachother.

divide() accepts an arbitrary number of parameters. Each parameter must contain a value or an expression or an array with values or expressions.

Example:

1. $q = new Doctrine_Query();
2. $e = $q->expr;
4. $q->select('u.*')
5. ->from('User u')
6. ->where($e->eq($e->div('id', 2), 12));

Parameters:

string|array(string) | $args: |

API Tags:

Return: | an expression
Access: | public

[ Top ]
eq [line 460]

`string eq( string $value1, string $value2 )`

Returns the SQL to check if two values are equal.

Example:

1. $q = new Doctrine_Query();
2. $q->select('u.*')
3. ->from('User u')
4. ->where($q->expr->eq('id', 1));

Parameters:

string | $value1: | logical expression to compare
string | $value2: | logical expression to compare with

API Tags:

Return: | logical expression
Access: | public

[ Top ]
getIdentifier [line 35]

`void getIdentifier( $column )`

Parameters:

| $column: |

API Tags:

Access: | public

[ Top ]
getIdentifiers [line 39]

`void getIdentifiers( $columns )`

Parameters:

| $columns: |

API Tags:

Access: | public

[ Top ]
gt [line 504]

`string gt( string $value1, string $value2 )`

Returns the SQL to check if one value is greater than another value.

Example:

1. $q = new Doctrine_Query();
2. $q->select('u.*')
3. ->from('User u')
4. ->where($q->expr->gt('id', 1));

Parameters:

string | $value1: | logical expression to compare
string | $value2: | logical expression to compare with

API Tags:

Return: | logical expression
Access: | public

[ Top ]
gte [line 527]

`string gte( string $value1, string $value2 )`

Returns the SQL to check if one value is greater than or equal to another value.

Example:

1. $q = new Doctrine_Query();
2. $q->select('u.*')
3. ->from('User u')
4. ->where($q->expr->gte('id', 1));

Parameters:

string | $value1: | logical expression to compare
string | $value2: | logical expression to compare with

API Tags:

Return: | logical expression
Access: | public

[ Top ]
guid [line 686]

`string guid( )`

Returns global unique identifier

API Tags:

Return: | to get global unique identifier
Access: | public

Redefined in descendants as:

- Doctrine_Expression_Mssql::guid() : Returns global unique identifier
- Doctrine_Expression_Mysql::guid() : Returns global unique identifier
- Doctrine_Expression_Oracle::guid() : Returns global unique identifier

[ Top ]
in [line 600]

`string in( string $column, string|array(string) $values )`

Returns the SQL to check if a value is one in a set of given values..

in() accepts an arbitrary number of parameters. The first parameter must always specify the value that should be matched against. Successive must contain a logical expression or an array with logical expressions. These expressions will be matched against the first parameter.

Example:

1. $q = new Doctrine_Query();
2. $q->select('u.*')
3. ->from('User u')
4. ->where($q->expr->in( 'id', array(1,2,3)));

Parameters:

string | $column: | the value that should be matched against
string|array(string) | $values: | values that will be matched against $column

API Tags:

Return: | logical expression
Access: | public

[ Top ]
isNotNull [line 646]

`string isNotNull( string $expression )`

Returns SQL that checks if a expression is not null.

Example:

1. $q = new Doctrine_Query();
2. $q->select('u.*')
3. ->from('User u')
4. ->where($q->expr->isNotNull('id'));

Parameters:

string | $expression: | the expression that should be compared to null

API Tags:

Return: | logical expression
Access: | public

[ Top ]
isNull [line 627]

`string isNull( string $expression )`

Returns SQL that checks if a expression is null.

Example:

1. $q = new Doctrine_Query();
2. $q->select('u.*')
3. ->from('User u')
4. ->where($q->expr->isNull('id'));

Parameters:

string | $expression: | the expression that should be compared to null

API Tags:

Return: | logical expression
Access: | public

[ Top ]
length [line 138]

`string length( $column, string $expression1, string $expression2 )`

Returns the length of a text field.

Parameters:

string | $expression1: |
string | $expression2: |
| $column: |

API Tags:

Access: | public

[ Top ]
locate [line 240]

`integer locate( string $str, string $substr )`

locate returns the position of the first occurrence of substring $substr in string $str

Parameters:

string | $substr: | literal string to find
string | $str: | literal string

API Tags:

Access: | public

[ Top ]
lower [line 228]

`string lower( string $str )`

lower Returns the string $str with all characters changed to lowercase according to the current character set mapping.

Parameters:

string | $str: | literal string or column name

API Tags:

Access: | public

[ Top ]
lt [line 549]

`string lt( string $value1, string $value2 )`

Returns the SQL to check if one value is less than another value.

Example:

1. $q = new Doctrine_Query();
2. $q->select('u.*')
3. ->from('User u')
4. ->where($q->expr->lt('id', 1));

Parameters:

string | $value1: | logical expression to compare
string | $value2: | logical expression to compare with

API Tags:

Return: | logical expression
Access: | public

[ Top ]
lte [line 572]

`string lte( string $value1, string $value2 )`

Returns the SQL to check if one value is less than or equal to another value.

Example:

1. $q = new Doctrine_Query();
2. $q->select('u.*')
3. ->from('User u')
4. ->where($q->expr->lte('id', 1));

Parameters:

string | $value1: | logical expression to compare
string | $value2: | logical expression to compare with

API Tags:

Return: | logical expression
Access: | public

[ Top ]
ltrim [line 204]

`string ltrim( string $str )`

ltrim returns the string $str with leading space characters removed

Parameters:

string | $str: | literal string or column name

API Tags:

Access: | public

[ Top ]
max [line 86]

`string max( string $column )`

Returns the highest value of a column

Parameters:

string | $column: | the column to use

API Tags:

Return: | generated sql including a MAX aggregate function
Access: | public

[ Top ]
md5 [line 125]

`string md5( $column )`

Returns the md5 sum of a field.

Note: Not SQL92, but common functionality

Parameters:

| $column: |

API Tags:

Access: | public

Redefined in descendants as:

- Doctrine_Expression_Pgsql::md5() : Returns the md5 sum of a field.

[ Top ]
min [line 98]

`string min( string $column )`

Returns the lowest value of a column

Parameters:

string | $column: | the column to use

API Tags:

Access: | public

[ Top ]
mod [line 166]

`string mod( string $expression1, string $expression2 )`

Returns the remainder of the division operation $expression1 / $expression2.

Parameters:

string | $expression1: |
string | $expression2: |

API Tags:

Access: | public

[ Top ]
mul [line 415]

`string mul( $args )`

Returns the SQL to multiply values or expressions by eachother.

multiply() accepts an arbitrary number of parameters. Each parameter must contain a value or an expression or an array with values or expressions.

Example:

1. $q = new Doctrine_Query();
2. $e = $q->expr;
4. $q->select('u.*')
5. ->from('User u')
6. ->where($e->eq($e->mul('id', 2), 12));

Parameters:

string|array(string) | $args: |

API Tags:

Return: | an expression
Access: | public

[ Top ]
neq [line 482]

`string neq( string $value1, string $value2 )`

Returns the SQL to check if two values are unequal.

Example:

1. $q = new Doctrine_Query();
2. $q->select('u.*')
3. ->from('User u')
4. ->where($q->expr->neq('id', 1));

Parameters:

string | $value1: | logical expression to compare
string | $value2: | logical expression to compare with

API Tags:

Return: | logical expression
Access: | public

[ Top ]
not [line 316]

`string not( $expression )`

Returns the SQL for a logical not.

Example:

1. $q = new Doctrine_Query();
2. $e = $q->expr;
3. $q->select('*')->from('table')
4. ->where($e->eq('id', $e->not('null'));

Parameters:

| $expression: |

API Tags:

Return: | a logical expression
Access: | public

[ Top ]
now [line 249]

`string now( )`

Returns the current system date.

API Tags:

Access: | public

Redefined in descendants as:

- Doctrine_Expression_Mssql::now() : Return string to call a variable with the current timestamp inside an SQL statement
- Doctrine_Expression_Oracle::now() : Return string to call a variable with the current timestamp inside an SQL statement
- Doctrine_Expression_Pgsql::now() : Returns the SQL string to return the current system date and time.
- Doctrine_Expression_Sqlite::now() : Return string to call a variable with the current timestamp inside an SQL statement There are three special variables for current date and time.

[ Top ]
regexp [line 49]

`string regexp( )`

regexp returns the regular expression operator

API Tags:

Access: | public

Redefined in descendants as:

- Doctrine_Expression_Mysql::regexp() : returns the regular expression operator
- Doctrine_Expression_Pgsql::regexp() : regexp
- Doctrine_Expression_Sqlite::regexp() : returns the regular expression operator

[ Top ]
round [line 151]

`string round( $column, [ $decimals = 0], string $expression1, string $expression2 )`

Rounds a numeric field to the number of decimals specified.

Parameters:

string | $expression1: |
string | $expression2: |
| $column: |
| $decimals: |

API Tags:

Access: | public

[ Top ]
rtrim [line 192]

`string rtrim( string $str )`

rtrim returns the string $str with proceeding space characters removed

Parameters:

string | $str: | literal string or column name

API Tags:

Access: | public

[ Top ]
soundex [line 263]

`string soundex( string $value )`

soundex Returns a string to call a function to compute the soundex encoding of a string

The string "?000" is returned if the argument is NULL.

Parameters:

string | $value: |

API Tags:

Return: | SQL soundex function with given parameter
Access: | public

Redefined in descendants as:

- Doctrine_Expression_Sqlite::soundex() : soundex Returns a string to call a function to compute the soundex encoding of a string

[ Top ]
sub [line 390]

`string sub( $args )`

Returns the SQL to subtract values or expressions from eachother.

subtract() accepts an arbitrary number of parameters. Each parameter must contain a value or an expression or an array with values or expressions.

Example:

1. $q = new Doctrine_Query();
2. $e = $q->expr;
4. $q->select('u.*')
5. ->from('User u')
6. ->where($e->eq($e->sub('id', 2), 12));

Parameters:

string|array(string) | $args: |

API Tags:

Return: | an expression
Access: | public

[ Top ]
substring [line 279]

`string substring( string $value, $from, [ $len = null], integer $position, integer $length )`

return string to call a function to get a substring inside an SQL statement

Note: Not SQL92, but common functionality.

SQLite only supports the 2 parameter variant of this function

Parameters:

string | $value: | an sql string literal or column name/alias
integer | $position: | where to start the substring portion
integer | $length: | the substring portion length
| $from: |
| $len: |

API Tags:

Return: | SQL substring function with given parameters
Access: | public

Redefined in descendants as:

- Doctrine_Expression_Mssql::substring() : return string to call a function to get a substring inside an SQL statement
- Doctrine_Expression_Oracle::substring() : return string to call a function to get a substring inside an SQL statement
- Doctrine_Expression_Pgsql::substring() : Returns part of a string.
- Doctrine_Expression_Sqlite::substring() : return string to call a function to get a substring inside an SQL statement

[ Top ]
sum [line 110]

`string sum( string $column )`

Returns the total sum of a column

Parameters:

string | $column: | the column to use

API Tags:

Access: | public

[ Top ]
trim [line 180]

`string trim( string $str )`

trim returns the string $str with leading and proceeding space characters removed

Parameters:

string | $str: | literal string or column name

API Tags:

Access: | public

[ Top ]
upper [line 216]

`string upper( string $str )`

upper Returns the string $str with all characters changed to uppercase according to the current character set mapping.

Parameters:

string | $str: | literal string or column name

API Tags:

Access: | public

[ Top ]
__call [line 704]

`void __call( $m, $a )`

__call

for all native RDBMS functions the function name itself is returned

Parameters:

| $m: |
| $a: |

API Tags:

Access: | public

[ Top ]